大量編輯單一排除關鍵字清單中的排除關鍵字。
這項作業會刪除 BulkEditNegativeKeywordsRequest.deleted_negative_keywords 中提供的排除關鍵字,然後建立 BulkEditNegativeKeywordsRequest.created_negative_keywords 中提供的排除關鍵字。
這項作業保證會一次全部完成,絕不會出現部分成功或部分失敗的情況。
HTTP 要求
POST https://displayvideo.googleapis.com/v5/advertisers/{advertiserId}/negativeKeywordLists/{negativeKeywordListId}/negativeKeywords:bulkEdit
這個網址使用 gRPC 轉碼語法。
路徑參數
| 參數 | |
|---|---|
advertiserId |
必填。上層排除關鍵字清單所屬 DV360 廣告主的 ID。 |
negativeKeywordListId |
必填。排除關鍵字所屬上層排除關鍵字清單的 ID。 |
要求主體
要求主體會包含結構如下的資料:
| JSON 表示法 |
|---|
{
"deletedNegativeKeywords": [
string
],
"createdNegativeKeywords": [
{
object ( |
| 欄位 | |
|---|---|
deletedNegativeKeywords[] |
要批次刪除的排除關鍵字,以 |
createdNegativeKeywords[] |
要批次建立的排除關鍵字,以 |
回應主體
NegativeKeywordService.BulkEditNegativeKeywords 的回應訊息。
如果成功,回應主體會含有以下結構的資料:
| JSON 表示法 |
|---|
{
"negativeKeywords": [
{
object ( |
| 欄位 | |
|---|---|
negativeKeywords[] |
已成功建立的排除關鍵字清單。 如果清單空白,就不會顯示。 |
授權範圍
需要下列 OAuth 範圍:
https://www.googleapis.com/auth/display-video
詳情請參閱OAuth 2.0 Overview。